%define oname   gemcutter

Name:       ruby-%{oname}
Version:    0.7.1
Release:    %mkrel 17
Summary:    Commands to interact with RubyGems.org
Group:      Development/Ruby
License:    MIT
URL:        https://rubygems.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Adds several commands to RubyGems for managing gems and more on
RubyGems.org.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{_datadir}/gems/plugins/gemcutter_plugin.rb

%files          doc
%doc %{gem_docdir}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.7.1-17.mga10
+ Revision: 2211278
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 0.7.1-16.mga9
+ Revision: 1827223
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 pterjan <pterjan> 0.7.1-15.mga9
+ Revision: 1789256
- Update file list

* Wed Feb 12 2020 umeabot <umeabot> 0.7.1-14.mga8
+ Revision: 1499719
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.1-13.mga7
+ Revision: 1275131
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-12.mga6
+ Revision: 947391
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-11.mga5
+ Revision: 750099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-10.mga5
+ Revision: 688811
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.7.1-9.mga4
+ Revision: 561887
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.7.1-8.mga4
+ Revision: 561231
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.7.1-7.mga4
+ Revision: 535511
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.7.1-6.mga4
+ Revision: 482029
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.7.1-5.mga4
+ Revision: 479078
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.7.1-4.mga3
+ Revision: 395994
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-3.mga3
+ Revision: 380906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.7.1-2.mga3
+ Revision: 313012
- rebuild for new ruby

* Sat Jun 09 2012 shlomif <shlomif> 0.7.1-1.mga3
+ Revision: 258799
- New version - 0.7.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.0-1.mga1
+ Revision: 86488
- new version 0.7.0

* Thu Feb 03 2011 shikamaru <shikamaru> 0.6.1-2.mga1
+ Revision: 46635
- imported package ruby-gemcutter


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.1-2mdv2011.0
- Initial package

* Fri Sep 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 579222
- add some missing dependencies

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 500361
- import rubygem-gemcutter


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.0-1
- initial release
